package com.dt.oss.controller;

import com.dt.config.NonLoginRequired;
import com.dt.oss.OSSService;
import com.sun.istack.internal.NotNull;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;

@RequestMapping("/oss")
@RestController
public class OSSController {



    @Resource
    private OSSService ossService;


    @RequestMapping("/uupload")
    @NonLoginRequired
    public String upload(MultipartFile file) throws IOException {
        return ossService.upload(file);
    }


}
